diff configure @ 120:cca96a509cfe r20-1b12

Import from CVS: tag r20-1b12
author cvs
date Mon, 13 Aug 2007 09:25:29 +0200
parents 7d55a9ba150c
children 1370575f1259
line wrap: on
line diff
--- a/configure	Mon Aug 13 09:24:19 2007 +0200
+++ b/configure	Mon Aug 13 09:25:29 2007 +0200
@@ -198,7 +198,6 @@
 --with-x=no		Don't support X.
 --x-includes=DIR 	Search for X header files in DIR.
 --x-libraries=DIR	Search for X libraries in DIR.
---with-ns		Support NeXTstep windows (not yet implemented).
 --with-menubars=TYPE	Use TYPE menubars (lucid, motif, or no).  The Lucid
 			widgets emulate Motif (mostly) but are faster.
 			*WARNING*  The Motif menubar is currently broken.
@@ -256,7 +255,6 @@
 --native-sound-lib=LIB	Native sound support library.  Needed on Suns
 			with --with-sound=both because both sound libraries
 			are called libaudio.
---with-epoch		Compile with additional Epoch compatibility.
 --with-mocklisp		Compile with Mocklisp support.  Don't do this
 			unless you have a Mocklisp program that you need
 			to run.
@@ -337,15 +335,27 @@
 #									   #
 ############################################################################
 
+
+
 ### Record all the arguments, so we can save them in config.status.
 arguments="$@"
 
 ### Shell Magic: Quote the quoted arguments in ARGUMENTS.  At a later date,
 ### in order to get the arguments back in $@, we have to do an
 ###  `eval set x "$quoted_arguments"; shift'.
+### We use sed to turn embedded ' into '"'"'.  I truly hate sh's quoting.
+quoted_sed_magic=s/"'"/"'"'"'"'"'"'"'"/g
 quoted_arguments=
 for i in "$@"; do
-   quoted_arguments="$quoted_arguments '$i'"
+   case "$i" in
+   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
+   | --no-cr | --no-c) ;;
+   -norecursion | --norecursion | --norecursio | --norecursi \
+   | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
+   *)
+   quoted_i="`echo $i | sed $quoted_sed_magic`"
+   quoted_arguments="$quoted_arguments '$quoted_i'" ;;
+   esac
 done
 
 ### Don't use shift -- that destroys the argument list, which autoconf needs
@@ -398,7 +408,6 @@
 	with_gcc	| \
 	with_lcc	| \
 	with_gnu_make	| \
-	with_epoch	| \
 	dynamic		| \
 	with_term	| \
 	with_cde	| \
@@ -411,7 +420,6 @@
 	with_xface	| \
 	with_xmu	| \
 	quantify	| \
-	with_ns		| \
 	with_toolbars	| \
 	with_tty	| \
 	with_i18n3	| \
@@ -427,7 +435,8 @@
 	with_kerberos	| \
 	with_hesiod	| \
 	external_widget | \
-	extra_verbose   | \
+	verbose		| \
+	extra_verbose	| \
 	const_is_losing | \
 	usage_tracking  | \
 	use_union_type  | \
@@ -439,11 +448,9 @@
 	  case "${val}" in
 	    y | ye | yes )	val=yes ;;
 	    n | no )		val=no  ;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option is supposed to have a boolean value.
-Set it to either \`yes' or \`no'."
-	       echo "${short_usage}") >&2
-	      exit 1 ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option requires a boolean value: \`yes' or \`no'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
           eval "${opt}=\"${val}\"" ;;
 
@@ -452,24 +459,23 @@
 	srcdir		| \
 	compiler	| \
 	puresize	| \
-	native_sound_lib	| \
+	native_sound_lib | \
 	x_includes	| \
 	x_libraries	| \
         wnn_includes    | \
         wnn_libraries   | \
-        canna_includes    | \
-        canna_libraries   | \
+        canna_includes  | \
+        canna_libraries | \
 	site_includes	| \
 	site_libraries	| \
 	site_runtime_libraries  )
 	  ## If the value was omitted, get it from the next argument.
 	  if test "${valomitted}" = "yes" ; then
 	    ## Get the next argument from the argument list, if there is one.
-            if test $# = 0 ; then
-	      (echo "${progname}: You must give a value for the \`--${optname}' option, as in
-    \`--${optname}=FOO'."
-	       echo "${short_usage}") >&2
-	      exit 1
+            if test "$#" = 0 ; then
+	      (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option requires a value."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1;
 	    fi
 	    val="$1"; shift
 	  fi
@@ -484,42 +490,39 @@
 	    n | no )		val=no  ;;
 	    d | de | def | defa | defau | defaul | default )
 				val=default ;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option is supposed to have a boolean value or \`default'.
-Set it to either \`yes', \`no', or \`default'."
-	       echo "${short_usage}") >&2
-	      exit 1
-	    ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option requires one of these values:
+  \`yes', \`no', or \`default'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
           eval "${opt}=\"${val}\""
         ;;
 
         ## Has the user requested database support?
         "with_database" )
-	  if test "${val}" = "no"  ; then
-	    with_database_berkdb=no
-	    with_database_dbm=no
-	    with_database_gnudbm=no
-	  else
-            ## Make sure the value given was berkdb, dbm, gnudbm, or a list
-	    for x in `echo "${val}" | sed 's/,/ /'` ; do
-	      case "${x}" in
-                b | be | ber | berk | berkd | berkdb )  with_database_berkdb=yes ;;
-                d | db | dbm )				with_database_dbm=yes ;;
+	  with_database_berkdb=no
+	  with_database_dbm=no
+	  with_database_gnudbm=no
+          ## Make sure the value given was `no' or a list of berkdb, dbm, gnudbm
+	  for x in `echo "${val}" | sed 's/,/ /'` ; do
+	    case "${x}" in
+		no ) : ;;
+		b | be | ber | berk | berkd | berkdb )  with_database_berkdb=yes ;;
+		d | db | dbm )				with_database_dbm=yes    ;;
 		g | gn | gnu | gnud | gnudb | gnudbm )  with_database_gnudbm=yes ;;
-		* )
-                  (echo "${progname}: the \`--${optname}' option is supposed to be either \`no'
-  or a comma-separated list of one or more of \`berkdb', \`dbm', or \`gnudbm'."
-                   echo "${short_usage}") >&2
-                  exit 1
-                ;;
-              esac
-	    done
-	    if test "${with_database_dbm}" = "yes" -a "${with_database_gnudbm}" = "yes"
-	    then
-	      (echo "${progname}: only one of \`dbm' and \`gnudbm' should be specified.") >&2
-	      exit 1
-	    fi
+		* ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option value
+  must be either \`no' or a comma-separated list
+  of one or more of \`berkdb', \`dbm', or \`gnudbm'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
+            esac
+	  done
+	  if test "${with_database_dbm}"    = "yes" -a \
+	          "${with_database_gnudbm}" = "yes" ; then
+	  (echo "${progname}: Usage error:"
+echo " " "Only one of \`dbm' and \`gnudbm' may be specified
+  with the \`--${optname}' option."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
 	  fi
         ;;
 
@@ -533,13 +536,10 @@
 	    na | nat | nati | nativ | native )	val=native  ;;
 	    ne | net | neta | netau | netaud | netaudi | netaudio | nas )	val=nas  ;;
 	    b | bo | bot | both )		val=both;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option should have one of the values:"
-		echo "\`native', \`nas', \`both', or \`none'."
-		echo ""
-		echo "${short_usage}") >&2
-	      exit 1
-	    ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option must have one of these values:
+  \`native', \`nas', \`both', or \`none'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
           eval "${opt}=\"${val}\""
         ;;
@@ -547,19 +547,15 @@
         ## Has the user requested XIM support?
 	"with_xim" )
 	  ## value can be xlib or motif
-	  ## as a backwards compatible synonym for native
 	  case "${val}" in
 	    y | ye | yes )			val=yes   ;;
 	    n | no | non | none )		val=no    ;;
 	    x | xl | xli | xlib )		val=xlib  ;;
 	    m | mo | mot | moti | motif )	val=motif ;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option should have one of the values:"
-		echo "\`motif', \`xlib', \`yes', or \`no'."
-		echo ""
-		echo "${short_usage}") >&2
-	      exit 1
-	    ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option must have one of these values:
+  \`motif', \`xlib', \`yes', or \`no'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
           eval "${opt}=\"${val}\""
         ;;
@@ -571,12 +567,10 @@
 	    y | ye | yes )	  val=yes  ;;
 	    n | no )		  val=no   ;;
 	    g | gn | gnu | gnuz ) val=gnuz ;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option is supposed to
-  be either \`yes', \`no', or \`gnuz'."
-	       echo "${short_usage}") >&2
-	      exit 1
-	    ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option must have one of these values:
+  \`yes', \`no', or \`gnuz'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
           eval "${opt}=\"${val}\""
         ;;
@@ -612,14 +606,15 @@
 	    esac
 	    if test "$bogus_error_check" -o \
 	         \( -n "$new_default" -a -n "$echeck_notfirst" \) ; then
-		( echo "${progname}: Valid types for the \`--${optname}' option are:"
 		if test $error_check_default = yes ; then
-		  echo "\`all' (default), \`none', \`noextents', \`notypecheck', \`nobufpos', \`nogc', and \`nomalloc'."
+		  types="\`all' (default), \`none', \`noextents', \`notypecheck', \`nobufpos', \`nogc', and \`nomalloc'."
 		else
-		  echo "\`all', \`none' (default), \`extents', \`typecheck', \`bufpos', \`gc', and \`malloc'."
+		  types="\`all', \`none' (default), \`extents', \`typecheck', \`bufpos', \`gc', and \`malloc'."
 		fi
-		echo "${short_usage}" ) >&2
-		exit 1
+		(echo "${progname}: Usage error:"
+echo " " "Valid types for the \`--${optname}' option are:
+  $types."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
 	    elif test "$new_default" ; then
 		error_check_extents=$new_default
 		error_check_typecheck=$new_default
@@ -643,15 +638,12 @@
 	sitelispdir | docdir )
 	   ## If the value was omitted, get it from the next argument.
 	   if test "${valomitted}" = "yes" ; then
-	      if test $# = 0 ; then
-		 (echo \
-"$progname: You must give a value for the \`--${optname}' option,";
-		  echo \
-"as in \`--${optname}=`eval echo '$'$optname`.'"
-		  echo "$short_usage") >&2
-		 exit 1
-	      fi
-	      val="$1"; shift
+	     if test "$#" = 0 ; then
+		 (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option requires a value."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1;
+	     fi
+	     val="$1"; shift
 	   fi
 	   eval "${opt}=\"${val}\""
 
@@ -677,13 +669,10 @@
 	cflags )
 	   ## If the value was omitted, get it from the next argument.
 	   if test "${valomitted}" = "yes" ; then
-	      if test $# = 0 ; then
-		 (echo \
-"$progname: You must give a value for the \`--${optname}' option,";
-		  echo \
-"as in \`--${optname}=`eval echo '$'$optname`-g -O'"
-		  echo "$short_usage") >&2
-		 exit 1
+	      if test "$#" = 0 ; then
+	        (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option requires a value."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1;
 	      fi
 	      val="$1"; shift
 	   fi
@@ -691,22 +680,14 @@
 	   eval "${opt}_specified=1"
 	;;
 
-	## Verbose flag, tested by autoconf macros.
-	"verbose" )
-	  verbose=yes
-	;;
-
 	## --no-create added by autoconf for use by config.status
 	"no_create" )
 	;;
 
 	## Has the user asked for some help?
 	"usage" | "help" )
-	  if test -z "$PAGER"
-	  then echo "${short_usage}" | more
-	  else echo "${short_usage}" | $PAGER
-	  fi
-	  exit
+	  echo "${short_usage}" | ${PAGER:-more}
+	  exit 0
 	;;
 
 	## Has the user specified what toolkit to use for the menubars,
@@ -719,24 +700,18 @@
 	    athena3d | athena-3d )			val=athena3d ;;
 	    a | at | ath | athe | athen | athena )	val=athena ;;
 	    n | no | non | none )			val=no ;;
-	    * )
-	      (echo "${progname}: the \`--${optname}' option should have one of the values:"
-		echo "\`lucid', \`motif', \`athena', or \`no'."
-		echo ""
-		echo "${short_usage}") >&2
-	      exit 1
-	    ;;
+	    * ) (echo "${progname}: Usage error:"
+echo " " "The \`--${optname}' option must have one of these values:
+  \`lucid', \`motif', \`athena', or \`no'."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 	  esac
 	  eval "${opt}=\"${val}\""
 	;;
 
         ## Fail on unrecognized arguments.
-	* )
-	  (echo "${progname}: Error: unrecognized option: ${arg}"
-	   echo ""
-           echo "${short_usage}") >& 2
-	  exit 1
-	;;
+	* ) (echo "${progname}: Usage error:"
+echo " " "Unrecognized option: ${arg}"
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1 ;;
 
       esac
     ;;
@@ -782,14 +757,14 @@
 
 ### Can't specify 2 compilers
 if test "${with_gcc}" = "yes" -a "${with_lcc}" = "yes"; then
-  (echo "${progname}: only one of --with-gcc and --with-lcc may be specified."
-   echo "${short_usage}") >&2
-  exit 1
+  (echo "${progname}: Usage error:"
+echo " " "Only one of --with-gcc and --with-lcc may be specified."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
 fi
 
 ### Ignore useless run-in-place flag
 if test "${run_in_place}" = "yes"; then
-   echo "configure: warning: The --run-in-place option is ignored because it is unnecessary." >&2 
+  echo "configure: warning: The --run-in-place option is ignored because it is unnecessary." >&2
 fi
 
 ###########################################################################
@@ -800,9 +775,9 @@
   if configuration=`${CONFIG_SHELL-/bin/sh} ${guesssys}` ; then
     echo "- Looks like this is a ${configuration}" 1>&2
   else
-    echo '- Failed to guess the system type.  You need to tell me.' 1>&2
-    echo "${short_usage}" >&2
-    exit 1
+    (echo "${progname}: Usage error:"
+echo " " "Failed to guess the system type.  You need to tell me."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
   fi
 fi
 
@@ -812,41 +787,41 @@
   ## If it's not specified, see if  `.' or `..' might work.
   "" )
     for dir in "`echo $0 | sed 's|//|/|' | sed 's|/[^/]*$||'`" "." ".." ; do
-      if test -f "$dir/src/lisp.h" -a -f "$dir/lisp/version.el" ; then
+      if test -f "$dir/src/lisp.h" -a \
+	      -f "$dir/lisp/version.el" ; then
         srcdir="${dir}"
         break
       fi
     done
     if test -z "${srcdir}" ; then
-      echo "\
-${progname}: Neither the current directory nor its parent seem to
-contain the XEmacs sources.  If you do not want to build XEmacs in its
-source tree, you should run \`${progname}' in the directory in which
-you wish to build XEmacs, using its \`--srcdir' option to say where the
-sources may be found.
-${short_usage}" >&2
-	exit 1
-      fi
+      (echo "${progname}: Usage error:"
+echo " " "Neither the current directory nor its parent seem to
+  contain the XEmacs sources.  If you do not want to build XEmacs in its
+  source tree, you should run \`${progname}' in the directory in which
+  you wish to build XEmacs, using the \`--srcdir' option to say where the
+  sources may be found."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
+    fi
   ;;
 
   ## Otherwise, check if the directory they specified is okay.
   * )
-    if test ! -d "${srcdir}" -o ! -f "${srcdir}/src/lisp.h" -o ! -f "${srcdir}/lisp/version.el" ; then
-      (echo "\
-${progname}: The directory specified with the \`--srcdir' option,
-\`${srcdir}', doesn't seem to contain the XEmacs sources.  You should
-either run the \`${progname}' script at the top of the XEmacs source
-tree, or use the \`--srcdir' option to specify where the XEmacs sources
-are."
-       echo "${short_usage}") >&2
-      exit 1
+    if test ! -d "${srcdir}" -o \
+	    ! -f "${srcdir}/src/lisp.h" -o \
+	    ! -f "${srcdir}/lisp/version.el" ; then
+      (echo "${progname}: Usage error:"
+echo " " "The directory specified with the \`--srcdir' option,
+  \`${srcdir}', doesn't seem to contain the XEmacs sources.  You should
+  either run the \`${progname}' script at the top of the XEmacs source
+  tree, or use the \`--srcdir' option to specify the XEmacs source directory."
+echo "  Use \`${progname} --help' for more details.") >&2 && exit 1
     fi
   ;;
 esac
 
 ## We check for this now instead of later when we check for other
 ## programs because we need to use its return value now.
- test -n "$silent" || echo "checking for ln -s"
+test -n "$silent" || echo "checking for ln -s"
 rm -f conftestdata
 if ln -s X conftestdata 2>/dev/null
 then
@@ -873,7 +848,6 @@
   fi
 done
 
-
 #### Make srcdir absolute, if it isn't already.  It's important to
 #### avoid running the path through pwd unnecessary, since pwd can
 #### give you automounter prefixes, which can go away.
@@ -993,15 +967,20 @@
 
   ## Alpha (DEC) machines.
   ## XEmacs change: split apart into numerous files.
-  alpha-dec-osf1.3 | alpha-dec-osf2* ) machine=alpha opsys=decosf1-3 ;;
-  alpha-dec-osf1.2 | alpha-dec-osf1* ) machine=alpha opsys=decosf1-2 ;;
-
-  ## XEmacs: Add switch for OSF 1 version 3 (roth@cse.ucsc.edu)
-  ## XEmacs: Add switch for Digital Unix version 4 (srivasta@pilgrim.umass.edu)
-  alpha-dec-osf3.[2-9] ) machine=alpha opsys=decosf3-2 ;;
-  alpha-dec-osf3* )      machine=alpha opsys=decosf3-1 ;;
-  alpha-dec-osf4* )      machine=alpha opsys=decosf4-0 ;;
-  alpha-*-linux* )       machine=alpha opsys=linux ;;
+  alpha-*-* )
+    machine=alpha
+    case "${canonical}" in
+      *-dec-osf1.3 | *-dec-osf2* ) opsys=decosf1-3 ;;
+      *-dec-osf1.2 | *-dec-osf1* ) opsys=decosf1-2 ;;
+
+      ## XEmacs: Add switch for OSF 1 version 3 (roth@cse.ucsc.edu)
+      ## XEmacs: Add switch for Digital Unix version 4 (srivasta@pilgrim.umass.edu)
+      *-dec-osf3.[2-9] ) opsys=decosf3-2 ;;
+      *-dec-osf3* )        opsys=decosf3-1 ;;
+      *-dec-osf4* )        opsys=decosf4-0 ;;
+      *-*-linux*  )        opsys=linux ;;
+    esac
+  ;;
 
   ## Altos 3068
   m68*-altos-sysv* ) machine=altos opsys=usg5-2 ;;
@@ -1053,16 +1032,22 @@
   cydra*-cydrome-sysv* ) machine=cydra5 opsys=usg5-3 ;;
 
   ## Data General AViiON Machines
-  i586-dg-dgux*R4* | i586-dg-dgux5.4.4* ) machine=aviion opsys=dgux5-4r4 ;;
+  i586-dg-dgux*R4*   | i586-dg-dgux5.4.4* ) machine=aviion opsys=dgux5-4r4 ;;
   m88k-dg-dgux5.4R3* | m88k-dg-dgux5.4.3* ) machine=aviion opsys=dgux5-4r3 ;;
   m88k-dg-dgux5.4R2* | m88k-dg-dgux5.4.2* ) machine=aviion opsys=dgux5-4r2 ;;
   m88k-dg-dgux* 			  ) machine=aviion opsys=dgux	   ;;
 
-  mips-dec-ultrix[0-3].* | mips-dec-ultrix4.0* | mips-dec-bsd4.2* ) machine=pmax opsys=bsd4-2 ;;
-  mips-dec-ultrix4.[12]* | mips-dec-bsd* ) machine=pmax opsys=bsd4-3 ;;
-  mips-dec-ultrix* )                       machine=pmax opsys=ultrix4-3 ;;
-  mips-dec-osf* )                          machine=pmax opsys=osf1 ;;
-  mips-dec-mach_bsd4.3* )                  machine=pmax opsys=mach-bsd4-3 ;;
+  ## Dec Mips machines
+  mips-dec-* )
+    machine=pmax
+    case "${canonical}" in
+      *-*-ultrix[0-3].* | *-*-ultrix4.0* | *-*-bsd4.2* ) opsys=bsd4-2 ;;
+      *-*-ultrix4.[12]* | *-*-bsd* ) opsys=bsd4-3 ;;
+      *-*-ultrix* )                    opsys=ultrix4-3 ;;
+      *-*-osf* )                       opsys=osf1 ;;
+      *-*-mach_bsd4.3* )               opsys=mach-bsd4-3 ;;
+    esac
+  ;;
 
   ## Motorola Delta machines
   m68k-motorola-sysv* | m68000-motorola-sysv* )
@@ -1299,9 +1284,7 @@
   ## Iris 4D
   mips-sgi-irix3.*      ) machine=iris4d opsys=irix3-3 ;;
   mips-sgi-irix4.*      ) machine=iris4d opsys=irix4-0 ;;
-  mips-sgi-irix6*       ) machine=iris4d
-			opsys=irix6-0
-			NON_GNU_CC="cc -Olimit 2000" ;;
+  mips-sgi-irix6*       ) machine=iris4d opsys=irix6-0 NON_GNU_CC="cc -Olimit 2000" ;;
   mips-sgi-irix5.[3-9]* ) machine=iris4d opsys=irix5-3 ;;
   mips-sgi-irix5.2*     ) machine=iris4d opsys=irix5-2 ;;
   mips-sgi-irix5.1*     ) machine=iris4d opsys=irix5-1 ;;
@@ -1326,7 +1309,7 @@
       m68*-sunos1* )	         machine=sun1     ;;
       m68*-sunos2* )	         machine=sun2     ;;
       m68* )		         machine=sun3     ;;
-      i[3-9]86*-sun-sunos[34]* ) machine=sun386   ;;
+      i[3-9]86*-sun-sunos[34]* ) machine=sun386 ;;
       i[3-9]86-*-* )	         machine=intel386 ;;
       rs6000* )                  machine=rs6000   ;;
       sparc* )		         machine=sparc    ;;
@@ -1361,13 +1344,13 @@
       *-sunos4.0*	  ) opsys=sunos4-0	;;
       *-sunos4.1.2*	  ) opsys=sunos4-1-2	;;
       *-sunos4.1.3*	  ) opsys=sunos4-1-3	;;
-      *-sunos4.1.[4-9]*	  ) opsys=sunos4-1-4	;;
+      *-sunos4.1.[4-9]* ) opsys=sunos4-1-4	;;
       *-sunos4* | *-sunos ) opsys=sunos4-1	;;
 
       *-solaris2.3*	  ) opsys=sol2-3	;;
       *-solaris2.4*	  ) opsys=sol2-4	;;
       *-solaris2.5*	  ) opsys=sol2-5	;;
-      *-solaris2.[6-9]*	  ) opsys=sol2-6	;;
+      *-solaris2.[6-9]* ) opsys=sol2-6	;;
       *-solaris*	  ) opsys=sol2		;;
 
       *-mach*		  ) opsys=mach-bsd4-3	;;
@@ -1437,7 +1420,7 @@
   i[3-9]86-*-* )
     machine=intel386
     case "${canonical}" in
-      *-isc1.* | *-isc2.[01]* )	opsys=386-ix ;;
+      *-isc1.* | *-isc2.[01]* ) opsys=386-ix ;;
       *-isc2.2* )		opsys=isc2-2 ;;
       *-isc4.0* )		opsys=isc4-0 ;;
       *-isc4.* )		opsys=isc4-1
@@ -1551,7 +1534,6 @@
 
 
 
-
 ac_ext=c
 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
 ac_cpp='${CPP}'
@@ -1683,8 +1665,6 @@
   esac
 fi
 
-
-
 #### Some systems specify a CPP to use unless we are using GCC.
 #### Now that we know whether we are using GCC, we can decide whether
 #### to use that one.
@@ -1725,7 +1705,6 @@
 #### Some other nice autoconf tests.  If you add a test here which
 #### should make an entry in src/config.h, don't forget to add an
 #### #undef clause to src/config.h.in for autoconf to modify.
-
 test -n "$silent" || echo "checking how to run the C preprocessor"
 if test -z "$CPP"; then
   # This must be in double quotes, not single quotes, because CPP may get
@@ -1910,7 +1889,69 @@
 
 
 
-for ac_hdr in mach/mach.h sys/stropts.h sys/timeb.h sys/time.h unistd.h utime.h sys/wait.h libintl.h locale.h libgen.h linux/version.h kstat.h sys/pstat.h
+for ac_hdr in mach/mach.h sys/stropts.h sys/timeb.h sys/time.h unistd.h
+do
+ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
+test -n "$silent" || echo "checking for ${ac_hdr}"
+cat > conftest.${ac_ext} <<EOF
+#include "confdefs.h"
+#include <${ac_hdr}>
+EOF
+ac_err=`eval "(exec $ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
+if test "${extra_verbose}" = "yes"  && test -n "$ac_err"; then
+  echo "$ac_err"
+fi
+if test -z "$ac_err"; then
+  rm -rf conftest*
+  
+{
+test -n "$verbose" && \
+echo "	defining ${ac_tr_hdr}"
+echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
+DEFS="$DEFS -D${ac_tr_hdr}=1"
+ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
+\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
+\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
+"
+}
+
+
+fi
+rm -f conftest*
+done
+
+for ac_hdr in utime.h sys/wait.h libintl.h locale.h libgen.h
+do
+ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
+test -n "$silent" || echo "checking for ${ac_hdr}"
+cat > conftest.${ac_ext} <<EOF
+#include "confdefs.h"
+#include <${ac_hdr}>
+EOF
+ac_err=`eval "(exec $ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
+if test "${extra_verbose}" = "yes"  && test -n "$ac_err"; then
+  echo "$ac_err"
+fi
+if test -z "$ac_err"; then
+  rm -rf conftest*
+  
+{
+test -n "$verbose" && \
+echo "	defining ${ac_tr_hdr}"
+echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
+DEFS="$DEFS -D${ac_tr_hdr}=1"
+ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
+\${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
+\${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
+"
+}
+
+
+fi
+rm -f conftest*
+done
+
+for ac_hdr in linux/version.h kstat.h sys/pstat.h inttypes.h
 do
 ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
 test -n "$silent" || echo "checking for ${ac_hdr}"
@@ -2439,7 +2480,6 @@
   fi
 fi
 
-
 # What the hell was this doing here??????
 ### echo > confdefs.h		# this gets nuked above...
 
@@ -2482,7 +2522,6 @@
   ;;
 esac
 
-
 case "${window_system}" in "" | "x11" )
     ### If the user hasn't specified where we should find X, try
     ### letting autoconf figure that out.
@@ -2676,7 +2715,7 @@
     echo "Unable to proceed." >&2
     exit 1
   fi
-  for feature in epoch cde offix menubars scrollbars toolbars dialogs xim tiff
+  for feature in cde offix menubars scrollbars toolbars dialogs xim tiff
   do
     if eval "test -n \"\$with_$feature\" -a \"\$with_$feature\" != no" ; then
        echo "configure: warning: --with-$feature ignored:  Not valid without X support" >&2
@@ -2924,7 +2963,6 @@
 
 #### Add the libraries to LIBS and check for some functions.
 
-
 CPPFLAGS="${C_SWITCH_SITE} $c_switch_system $c_switch_machine $c_switch_x_system $CPPFLAGS"
 DEFS="${C_SWITCH_SITE} $c_switch_system $c_switch_machine $c_switch_x_system $DEFS"
 LIBS="${LD_SWITCH_SITE} $ld_switch_x_system $libsrc_libs $LIBS"
@@ -2998,6 +3036,41 @@
 
 
 ac_save_LIBS="${LIBS}"
+LIBS="${LIBS} -lintl"
+ac_have_lib=""
+test -n "$silent" || echo "checking for -lintl"
+cat > conftest.${ac_ext} <<EOF
+#include "confdefs.h"
+
+int main() { return 0; }
+int t() { main();; return 0; }
+EOF
+if eval $ac_compile; then
+  rm -rf conftest*
+  ac_have_lib="1"
+
+fi
+rm -f conftest*
+LIBS="${ac_save_LIBS}"
+if test -n "${ac_have_lib}"; then
+   :; 
+{
+test -n "$verbose" && \
+echo "	defining HAVE_LIBINTL"
+echo "#define" HAVE_LIBINTL "1" >> confdefs.h
+DEFS="$DEFS -DHAVE_LIBINTL=1"
+ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_LIBINTL\${ac_dB}HAVE_LIBINTL\${ac_dC}1\${ac_dD}
+\${ac_uA}HAVE_LIBINTL\${ac_uB}HAVE_LIBINTL\${ac_uC}1\${ac_uD}
+\${ac_eA}HAVE_LIBINTL\${ac_eB}HAVE_LIBINTL\${ac_eC}1\${ac_eD}
+"
+}
+
+else
+   :; 
+fi
+
+
+ac_save_LIBS="${LIBS}"
 LIBS="${LIBS} -lXbsd"
 ac_have_lib=""
 test -n "$silent" || echo "checking for -lXbsd"
@@ -6749,18 +6822,6 @@
 "
 }
 
-test "${with_epoch}" = yes && 
-{
-test -n "$verbose" && \
-echo "	defining EPOCH"
-echo "#define" EPOCH "1" >> confdefs.h
-DEFS="$DEFS -DEPOCH=1"
-ac_sed_defs="${ac_sed_defs}\${ac_dA}EPOCH\${ac_dB}EPOCH\${ac_dC}1\${ac_dD}
-\${ac_uA}EPOCH\${ac_uB}EPOCH\${ac_uC}1\${ac_uD}
-\${ac_eA}EPOCH\${ac_eB}EPOCH\${ac_eC}1\${ac_eD}
-"
-}
-
 test "${external_widget}" = yes && 
 {
 test -n "$verbose" && \
@@ -7048,7 +7109,7 @@
 (
 echo "uname -a: `uname -a`" 
 echo "" 
-echo "$0 $configure_args" 
+echo "$0 $quoted_arguments" 
 ) >> Installation
 # Start stdout redirection to '| tee -a Installation'
 (
@@ -7078,10 +7139,6 @@
 elif test -n "$site_runtime_libraries"; then
   echo "  Additional libraries:                                   ${site_runtime_libraries}"
 fi
-if test "$with_wnn" = yes ; then
-  echo "  Finding WNN includes with:                              ${wnn_includes}"
-  echo "  Loading WNN libs with:                                  ${wnn_libraries}"
-fi
 test "$with_socks" = yes && echo "  Compiling in support for SOCKS."
 test "$with_term"  = yes && echo "  Compiling in support for TERM."
 test "$with_xauth" = yes && echo "  Compiling in support for XAUTH."
@@ -7099,7 +7156,6 @@
   echo "  (Using -lgz instead of -lz.)"
 fi
 test "$with_tiff"  = yes && echo "  Compiling in support for TIFF image conversion (not implemented)."
-test "$with_epoch" = yes && echo "  Compiling in extra Epoch compatibility."
 
 test "$with_sound" = nas    && echo "  Compiling in network sound support."
 test "$with_sound" = native && echo "  Compiling in native sound support."
@@ -7118,8 +7174,12 @@
 test "$with_xim" = motif    && echo "    Using Motif to provide XIM support."
 test "$with_xim" = xlib     && echo "    Using raw Xlib to provide XIM support."
 test "$with_canna"    = yes && echo "  Compiling in support for Canna on Mule."
-test "$with_wnn"      = yes && echo "  Compiling in support for WNN on Mule."
-test "$with_wnn6"     = yes && echo "  WNN support for version 6."
+if test "$with_wnn" = yes; then
+  echo "  Compiling in support for the WNN input method on Mule."
+  test "$with_wnn6" = yes && echo "    WNN support for version 6."
+  echo "    Finding WNN includes with:                          ${wnn_includes}"
+  echo "    Finding WNN libs with:                              ${wnn_libraries}"
+fi
 test "$with_i18n3"    = yes && echo "  Compiling in I18N support, level 3 (doesn't currently work)."
 
 test "$with_cde"      = yes && echo "  Compiling in support for CDE."
@@ -7142,9 +7202,9 @@
 test "$with_dialogs"    = motif  && echo "  Using the Motif dialog boxes."
 test "$with_dialogs"    = athena && echo "  Using the Athena dialog boxes."
 test "$with_dialogs"    = athena3d && echo "  Using the Athena-3d dialog boxes."
-test "$with_pop"	= yes && "Using POP for mail access"
-test "$with_kerberos"	= yes && "Using Kerberos for POP authentication"
-test "$with_hesiod"	= yes && "Using Hesiod to get POP server host"
+test "$with_pop"	= yes && "  Using POP for mail access"
+test "$with_kerberos"	= yes && "  Using Kerberos for POP authentication"
+test "$with_hesiod"	= yes && "  Using Hesiod to get POP server host"
 
 test "${use_union_type}"     = yes && echo "  Using the union type for Lisp_Objects."
 test "${debug}"              = yes && echo "  Compiling in extra code for debugging."
@@ -7156,7 +7216,7 @@
 echo ""
 
 
- 
+
 # Remove any trailing slashes in these variables.
 test -n "${prefix}" &&
   prefix=`echo "${prefix}" | sed 's,\([^/]\)/*$,\1,'`
@@ -7203,15 +7263,15 @@
 # This directory was configured as follows,
 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
 #
-# $0 $configure_args
+# $0 $quoted_arguments
 
 ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
 for ac_option
 do
   case "\$ac_option" in
   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
-    echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
-    exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
+    echo running \${CONFIG_SHELL-/bin/sh} $0 $quoted_arguments --no-create
+    exec \${CONFIG_SHELL-/bin/sh} $0 $quoted_arguments --no-create ;;
   -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
     echo "config.status generated by autoconf version 1.11"
     exit 0 ;;
@@ -7475,7 +7535,7 @@
 chmod +x config.status
 # Some shells look in PATH for config.status without the "./".
 test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status
- 
+
 # Build:
 # src/Makefile      from ${srcdir}/src/Makefile.in
 # lwlib/Makefile    from ${srcdir}/lwlib/Makefile.in
@@ -7642,3 +7702,7 @@
 
 exit 0
 
+
+# Local Variables:
+# eval: (modify-syntax-entry ?\" "\"")
+# End: